net.posprinter.utils

## Class DataForSendToPrinterPos80

- java.lang.Object
- - net.posprinter.utils.DataForSendToPrinterPos80

-     public class DataForSendToPrinterPos80
      extends java.lang.Object

  This class is a class of instruction processing tools This type of instruction is only applicable to the products of 80mm series thermal printer pos-80xx series; please refer to the programming manual for the description and effect of specific instructions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataForSendToPrinterPos80()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `allowOrForbidPressButton(int n)` Allow or prohibit keystrokes
    `static byte[]` | `avoidLostOrder()` Realize the function of avoiding lost orders through the judgment of cutter Only 9100 net port can use this function
    `static byte[]` | `CancelChineseCharModel()`
    `static byte[]` | `cancelUserDefinedCharacters(int n)` Cancel user-defined characters Cancel user-defined characters with code n
    `static byte[]` | `canclePrintDataByPagemodel()` Cancel printing data in page mode
    `static byte[]` | `creatCashboxContorlPulse(int m, int t1, int t2)` Generate cash drawer control pulse
    `static byte[]` | `definedDownLoadBmp(android.graphics.Bitmap bitmap, BitmapToByteData.BmpType bmpType)`
    `static byte[]` | `definedFlashBmp(java.util.List<android.graphics.Bitmap> list, int n, BitmapToByteData.BmpType bmpType)` Define nvlogo
    `static byte[]` | `definedUserDefinedChineseChar(int c2, byte[] b)` Define user-defined Chinese characters
    `static byte[]` | `defineuserDefinedCharacters(int c1, int c2, byte[] b)` Define user-defined characters
    `static byte[]` | `executeMacrodeCommand(int r, int t, int m)` Execute macro command
    `static byte[]` | `executePrintDataSaveByTransformToHex()`
    `static byte[]` | `getPrinterStatus(int port)` Get printer's status
    `static byte[]` | `horizontalPositioning()` Horizontal positioning
    `static byte[]` | `initializePrinter()` Initialize the printer
    `static byte[]` | `openCashboxRealtime(int m, int t)` Generate cash drawer pulse in real time
    `static byte[]` | `openOrCloseAutoReturnPrintState(int n)` Get printer's status
    `static byte[]` | `printAndBackStandardmodel()` Print and return to standard mode
    `static byte[]` | `PrintAndCarriageReturn()` Print and tab
    `static byte[]` | `printAndFeed(int n)` Print and feed paper
    `static byte[]` | `printAndFeedForward(int n)` Print and feed the paper n lines forward
    `static byte[]` | `printAndFeedLine()` Print and feed lines
    `static byte[]` | `printBarcode(int alignment, int HRI, int width, int height, int type, int size, java.lang.String content)` Print barcode
    `static byte[]` | `printBarcode(int m, int n, java.lang.String content)` Print barcode
    `static byte[]` | `printBarcode(int m, java.lang.String content)` Print barcode
    `static byte[]` | `printBmpInFLASH(int n, int m)` Print the bitmap downloaded to FLASH
    `static byte[]` | `printByPagemodel()` Print in page mode This command is only valid in page mode
    `static byte[]` | `printDownLoadBmp(int m)`
    `static byte[]` | `printerOrderBuzzingAndWarningLight(int m, int t, int n)` Printer incoming single buzzer prompt and alarm light flashing
    `static byte[]` | `printerOrderBuzzingHint(int n, int t)` Buzzer prompt when the printer comes to print the order
    `static byte[]` | `printQRcode(int n, int errLevel, java.lang.String code)`
    `static byte[]` | `printRasterBmp(int m, android.graphics.Bitmap bitmap, BitmapToByteData.BmpType bmpType, BitmapToByteData.AlignType alignType, int pagewidth)` Print raster bitmap
    `static byte[]` | `PrintsTheMaxiCodeSymbolDataInTheSymbolStorageArea()` Prints the MaxiCode symbol data in the symbol storage area
    `static byte[]` | `PrintsThePDF417SymbolDataInTheSymbolStorageArea()` Prints the PDF417 symbol data in the symbol storage area.
    `static byte[]` | `PrintsTheQRCodeSymbolDataInTheSymbolStorageArea()` Prints the QRCode symbol data in the symbol storage area.
    `static byte[]` | `requestRealtimeForPrint(int n)` Real-time printer request
    `static byte[]` | `returnState(int n)`
    `static byte[]` | `selectAlignment(int n)` Choose alignment
    `static byte[]` | `selectBmpModel(int m, int nL, int nH, byte[] b)` Select bitmap mode
    `static byte[]` | `selectCharacterCodePage(int n)` Select character code table
    `static byte[]` | `selectCharacterSize(int n)` Set character size
    `static byte[]` | `selectChineseCharModel()` Select Chinese character mode
    `static byte[]` | `selectCutPagerModerAndCutPager(int m)` Select the cutting mode and cut the paper
    `static byte[]` | `selectCutPagerModerAndCutPager(int m, int n)` Select the cutting mode and cut the paper after feeding
    `static byte[]` | `selectFont(int n)` Choose font
    `static byte[]` | `selectHRICharacterPrintPosition(int n)` Select the printing position of the HRI character; HRI is the character to annotate the content of the barcode
    `static byte[]` | `selectHRIFont(int n)` Choose HRI to use fonts
    `static byte[]` | `selectInternationalCharacterSets(int n)` Choose an international character set
    `static byte[]` | `selectOrCancelBoldModel(int n)` Select or cancel bold mode
    `static byte[]` | `selectOrCancelChineseCharDoubleWH(int n)` Select or cancel the double height and width of Chinese characters
    `static byte[]` | `selectOrCancelChineseCharUnderLineModel(int n)`
    `static byte[]` | `selectOrCancelConvertPrintModel(int n)` Select or cancel the upside-down printing mode
    `static byte[]` | `selectOrCancelCW90(int n)` Select or cancel 90 degrees clockwise rotation This command is only valid in page mode
    `static byte[]` | `selectOrCancelDoubelPrintModel(int n)` Select or cancel doubel print model
    `static byte[]` | `selectOrCancelInvertPrintModel(int n)` Select or cancel the black and white reverse printing mode
    `static byte[]` | `selectOrCancelUnderlineModel(int n)` Select or cancel the underline mode
    `static byte[]` | `selectOrCancleCustomChar(int n)` Select or cancel user-defined characters
    `static byte[]` | `selectPageModel()` Select page mode
    `static byte[]` | `selectPrintDirectionUnderPageModel(int n)` Select the print area direction in page mode
    `static byte[]` | `selectPrinter(int n)` Select printer
    `static byte[]` | `selectPrintModel(int n)` Choose print mode
    `static byte[]` | `selectPrintTransducerOutPutPageOutSignal(int n)` Select printer paper sensor to output paper out signal
    `static byte[]` | `selectPrintTransducerStopPrint(int n)` Select the printer sensor and stop printing
    `static byte[]` | `selectStandardModel()` Choose standard mode
    `static byte[]` | `sendRealtimestatus(int n)` Real-time status transmission
    `static byte[]` | `setAbsolutePositionUnderPageModel(int nL, int nH)` Set absolute position in page mode
    `static byte[]` | `setAbsolutePrintPosition(int m, int n)` Set absolute print position m+n*256 represent the distance from the beginning of the line, the range is 0-255
    `static byte[]` | `setBarcodeHeight(int n)` Set Barcode Height
    `static byte[]` | `setBarcodeWidth(int n)` Set barcode width
    `static byte[]` | `setCharRightSpace(int n)` Set character right spacing
    `static void` | `setCharsetName(java.lang.String charset)` Set the character encoding used to transmit the printed content to the printer, the default is the Chinese encoding "gbk"
    `static byte[]` | `setChineseCharacterModel(int n)` Set Chinese character mode
    `static byte[]` | `setChineseCharLeftAndRightSpace(int n1, int n2)` Set the left and right spacing of Chinese characters
    `static byte[]` | `setDefultLineSpacing()` Set the default line spacing about 3.75mm
    `static byte[]` | `setHorizontalAndVerticalMoveUnit(int x, int y)` Set horizontal and vertical movement units
    `static byte[]` | `setHorizontalmovementPosition(byte[] b)` Set the horizontal line jump position
    `static byte[]` | `setLeftSpace(int nL, int nH)` Set left margin
    `static byte[]` | `setLineSpaceing(int n)` Set line spacing
    `static byte[]` | `setPrintAreaUnderPageModel(int xL, int xH, int yL, int yH, int dxL, int dxH, int dyL, int dyH)` Set print area in page mode
    `static byte[]` | `setPrintAreaWidth(int nL, int nH)` Set print area width
    `static byte[]` | `setRelativeHorizontalPrintPosition(int nL, int nH)` Set relative horizontal printing position
    `static byte[]` | `SetsTheErrorCorrectionLevelForPDF417(int m, int n)` Sets the error correction level for PDF417 symbols.
    `static byte[]` | `SetsTheErrorCorrectionLevelForQRCodeSymbol(int n)` Sets the error correction level for QRCode symbol.
    `static byte[]` | `SetsTheModuleHeightForPDF417(int n)` Sets the module height to [(module width) × n]
    `static byte[]` | `SetsTheModuleWidthOfPDF417(int n)` Sets the module width of one PDF417 symbol to n dots.
    `static byte[]` | `SetsTheNumberOfColumnsOfTheDataAreaForPDF417(int n)` Sets the number of columns of the data area for PDF417
    `static byte[]` | `SetsTheNumberOfRowsOfTheDataAreaForPDF417(int n)` Sets the number of rows of the data area for PDF417
    `static byte[]` | `SetsTheSizeOfTheQRCodeSymbolModule(int n)` Sets the size of the QRCode symbol module to [n dots × n dots]
    `static byte[]` | `setVerticalRelativePositionUnderPageModel(int nL, int nH)` Set relative print position in page mode
    `static byte[]` | `SpecifiesOrCancelsVariousPDF417SymbolOptions(int m)` Specifies or cancels various PDF417 symbol options
    `static byte[]` | `SpecifiesTheModeForMaxiCodeSymbol(int n)` Specifies the mode for MaxiCode symbol
    `static byte[]` | `startOrStopMacrodeFinition()`
    `static byte[]` | `StoresSymbolDataInItheMaxiCodeSymbolStorageArea(int pL, int pH, byte[] b)` Stores symbol data (d1…dk) in the MaxiCode symbol storage area.
    `static byte[]` | `StoresSymbolDataInThePDF417SymbolStorageArea(int pL, int pH, byte[] b)` Stores symbol data (d1...dk) in the PDF417 symbol storage area.
    `static byte[]` | `StoresSymbolDataInTheQRCodeSymbolStorageArea(java.lang.String code)` Stores symbol data (d1…dk) in the QRCode symbol storage area.
    `static byte[]` | `TransmitsTheSizeOfTheEncodedSymbolDataInTheSymbolStorageAreaMaxiCode()` Transmits the size of the encoded symbol data in the symbol storage area
    `static byte[]` | `TransmitsTheSizeOfTheSymbolDataInTheSymbolStorageAreaPDF417()` Transmits the size of the symbol data in the symbol storage area.
    `static byte[]` | `TransmitsTheSizeOfTheSymbolDataInTheSymbolStorageAreaQRCode()` Transmits the size of the symbol data in the symbol storage area

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataForSendToPrinterPos80

          public DataForSendToPrinterPos80()

  - ### Method Detail

    - #### setCharsetName

          public static void setCharsetName(java.lang.String charset)

      Set the character encoding used to transmit the printed content to the printer, the default is the Chinese encoding "gbk"
      Parameters:
        `charset` -

    - #### horizontalPositioning

          public static byte[] horizontalPositioning()

      Horizontal positioning
      Returns:

    - #### printAndFeedLine

          public static byte[] printAndFeedLine()

      Print and feed lines
      Returns:

    - #### printAndBackStandardmodel

          public static byte[] printAndBackStandardmodel()

      Print and return to standard mode
      Returns:

    - #### PrintAndCarriageReturn

          public static byte[] PrintAndCarriageReturn()

      Print and tab
      Returns:

    - #### canclePrintDataByPagemodel

          public static byte[] canclePrintDataByPagemodel()

      Cancel printing data in page mode
      Returns:

    - #### sendRealtimestatus

          public static byte[] sendRealtimestatus(int n)

      Real-time status transmission
      Parameters:
        `n` -
      Returns:

    - #### requestRealtimeForPrint

          public static byte[] requestRealtimeForPrint(int n)

      Real-time printer request
      Parameters:
        `n` -
      Returns:

    - #### openCashboxRealtime

          public static byte[] openCashboxRealtime(int m,
                                                   int t)

      Generate cash drawer pulse in real time
      Parameters:
        `m` -
        `t` -
      Returns:

    - #### printByPagemodel

          public static byte[] printByPagemodel()

      Print in page mode This command is only valid in page mode
      Returns:

    - #### setCharRightSpace

          public static byte[] setCharRightSpace(int n)

      Set character right spacing
      Parameters:
        `n` - the variable representing the size of the gap, the range is 0-255
      Returns:

    - #### selectPrintModel

          public static byte[] selectPrintModel(int n)

      Choose print mode
      Parameters:
        `n` - represents the variable of the print mode, the range is 0-255
      Returns:

    - #### setAbsolutePrintPosition

          public static byte[] setAbsolutePrintPosition(int m,
                                                        int n)

      Set absolute print position m+n*256 represent the distance from the beginning of the line, the range is 0-255
      Parameters:
        `m` -
        `n` -
      Returns:

    - #### selectOrCancleCustomChar

          public static byte[] selectOrCancleCustomChar(int n)

      Select or cancel user-defined characters
      Parameters:
        `n` - 0-255, the lowest bit is 1, used; the lowest bit is 0, not used
      Returns:

    - #### defineuserDefinedCharacters

          public static byte[] defineuserDefinedCharacters(int c1,
                                                           int c2,
                                                           byte[] b)

      Define user-defined characters
      Parameters:
        `c1` - c1 is the starting character code, the range is 32<=c1<=c2<=127
        `c2` - c2 is the termination character code, the range is 32<=c1<=c2<=127
        `b` - the format of byte array b is [x1-d1...d(x1*y)]...[xk d1...d(y*xk)], which is a collection of character data downloaded by characters
      Returns:

    - #### selectBmpModel

          public static byte[] selectBmpModel(int m,
                                              int nL,
                                              int nH,
                                              byte[] b)

      Select bitmap mode
      Parameters:
        `m` -
        `nL` -
        `nH` -
        `b` -
      Returns:

    - #### selectOrCancelUnderlineModel

          public static byte[] selectOrCancelUnderlineModel(int n)

      Select or cancel the underline mode
      Parameters:
        `n` - n:0,48-cancel the underline; 1,49 select underline (1 point wide); 2,50 select underline (2 point wide)
      Returns:

    - #### setDefultLineSpacing

          public static byte[] setDefultLineSpacing()

      Set the default line spacing about 3.75mm
      Returns:

    - #### setLineSpaceing

          public static byte[] setLineSpaceing(int n)

      Set line spacing
      Parameters:
        `n` - 0-255
      Returns:

    - #### selectPrinter

          public static byte[] selectPrinter(int n)

      Select printer
      Parameters:
        `n` -
      Returns:

    - #### cancelUserDefinedCharacters

          public static byte[] cancelUserDefinedCharacters(int n)

      Cancel user-defined characters Cancel user-defined characters with code n
      Parameters:
        `n` -
      Returns:

    - #### initializePrinter

          public static byte[] initializePrinter()

      Initialize the printer
      Returns:

    - #### setHorizontalmovementPosition

          public static byte[] setHorizontalmovementPosition(byte[] b)

      Set the horizontal line jump position
      Parameters:
        `b` -
      Returns:

    - #### selectOrCancelBoldModel

          public static byte[] selectOrCancelBoldModel(int n)

      Select or cancel bold mode
      Parameters:
        `n` - 0-255, the lowest bit is 1, select bold; the lowest bit is 0, cancel bold
      Returns:

    - #### selectOrCancelDoubelPrintModel

          public static byte[] selectOrCancelDoubelPrintModel(int n)

      Select or cancel doubel print model
      Parameters:
        `n` - n, 0-255, the lowest bit is 1, double printing is selected; the lowest bit is 0, double printing is cancelled
      Returns:

    - #### printAndFeed

          public static byte[] printAndFeed(int n)

      Print and feed paper
      Parameters:
        `n` - Paper feeding distance, unit inch, range: 0-255
      Returns:

    - #### selectPageModel

          public static byte[] selectPageModel()

      Select page mode
      Returns:

    - #### selectFont

          public static byte[] selectFont(int n)

      Choose font
      Parameters:
        `n` - n-range: 0, 1, 48, 49; 0, 48 standard font; 1, 49 compressed font
      Returns:

    - #### selectInternationalCharacterSets

          public static byte[] selectInternationalCharacterSets(int n)

      Choose an international character set
      Parameters:
        `n` -
      Returns:

    - #### selectStandardModel

          public static byte[] selectStandardModel()

      Choose standard mode
      Returns:

    - #### selectPrintDirectionUnderPageModel

          public static byte[] selectPrintDirectionUnderPageModel(int n)

      Select the print area direction in page mode
      Parameters:
        `n` -
      Returns:

    - #### selectOrCancelCW90

          public static byte[] selectOrCancelCW90(int n)

      Select or cancel 90 degrees clockwise rotation This command is only valid in page mode
      Parameters:
        `n` -
      Returns:

    - #### setPrintAreaUnderPageModel

          public static byte[] setPrintAreaUnderPageModel(int xL,
                                                          int xH,
                                                          int yL,
                                                          int yH,
                                                          int dxL,
                                                          int dxH,
                                                          int dyL,
                                                          int dyH)

      Set print area in page mode
      Parameters:
        `xL` -
        `xH` -
        `yL` -
        `yH` -
        `dxL` -
        `dxH` -
        `dyL` -
        `dyH` -
      Returns:

    - #### setRelativeHorizontalPrintPosition

          public static byte[] setRelativeHorizontalPrintPosition(int nL,
                                                                  int nH)

      Set relative horizontal printing position
      Parameters:
        `nL` -
        `nH` -
      Returns:

    - #### selectAlignment

          public static byte[] selectAlignment(int n)

      Choose alignment
      Parameters:
        `n` -
      Returns:

    - #### selectPrintTransducerOutPutPageOutSignal

          public static byte[] selectPrintTransducerOutPutPageOutSignal(int n)

      Select printer paper sensor to output paper out signal
      Parameters:
        `n` -
      Returns:

    - #### selectPrintTransducerStopPrint

          public static byte[] selectPrintTransducerStopPrint(int n)

      Select the printer sensor and stop printing
      Parameters:
        `n` -
      Returns:

    - #### allowOrForbidPressButton

          public static byte[] allowOrForbidPressButton(int n)

      Allow or prohibit keystrokes
      Parameters:
        `n` - n: 0-255, the last digit of n is 0, the key is enabled, it is 1, the key is disabled
      Returns:

    - #### printAndFeedForward

          public static byte[] printAndFeedForward(int n)

      Print and feed the paper n lines forward
      Parameters:
        `n` - 0-255
      Returns:

    - #### creatCashboxContorlPulse

          public static byte[] creatCashboxContorlPulse(int m,
                                                        int t1,
                                                        int t2)

      Generate cash drawer control pulse
      Parameters:
        `m` - 0/1;48/49
        `t1` - 0-255
        `t2` - 0-255
      Returns:

    - #### selectCharacterCodePage

          public static byte[] selectCharacterCodePage(int n)

      Select character code table
      Parameters:
        `n` -
      Returns:

    - #### selectOrCancelConvertPrintModel

          public static byte[] selectOrCancelConvertPrintModel(int n)

      Select or cancel the upside-down printing mode
      Parameters:
        `n` - the lowest bit 0 is cancelled, the lowest bit 1 is selected, range: 0-255
      Returns:

    - #### printBmpInFLASH

          public static byte[] printBmpInFLASH(int n,
                                               int m)

      Print the bitmap downloaded to FLASH
      Parameters:
        `n` - 0-255,number of nvlogo
        `m` - 48-51 alignment
      Returns:

    - #### definedFlashBmp

          public static byte[] definedFlashBmp(java.util.List<android.graphics.Bitmap> list,
                                               int n,
                                               BitmapToByteData.BmpType bmpType)

      Define nvlogo
      Parameters:
        `list` - list-bitmap list, store the bitmap object you want to store in flash, list is empty or size is 0, return a new byte[0]
        `n` - n-the number of bitmaps, also the size of the list
        `bmpType` - The type of bitmap printing you want, binary method and dither method
      Returns:

    - #### selectCharacterSize

          public static byte[] selectCharacterSize(int n)

      Set character size
      Parameters:
        `n` - n-range 0-255; 0 to 3 bits of n set the character height, 4-7 bits are used to set the character width
      Returns:

    - #### setAbsolutePositionUnderPageModel

          public static byte[] setAbsolutePositionUnderPageModel(int nL,
                                                                 int nH)

      Set absolute position in page mode
      Parameters:
        `nL` -
        `nH` -
      Returns:

    - #### definedDownLoadBmp

          public static byte[] definedDownLoadBmp(android.graphics.Bitmap bitmap,
                                                  BitmapToByteData.BmpType bmpType)

      Parameters:
        `bitmap` -
        `bmpType` -
      Returns:

    - #### executePrintDataSaveByTransformToHex

          public static byte[] executePrintDataSaveByTransformToHex()

      Returns:

    - #### printDownLoadBmp

          public static byte[] printDownLoadBmp(int m)

      Parameters:
        `m` -
      Returns:

    - #### startOrStopMacrodeFinition

          public static byte[] startOrStopMacrodeFinition()

      Returns:

    - #### selectOrCancelInvertPrintModel

          public static byte[] selectOrCancelInvertPrintModel(int n)

      Select or cancel the black and white reverse printing mode
      Parameters:
        `n` - 0-255, the lowest bit is 0, cancel reverse display printing, the lowest bit is 1, select reverse display printing
      Returns:

    - #### selectHRICharacterPrintPosition

          public static byte[] selectHRICharacterPrintPosition(int n)

      Select the printing position of the HRI character; HRI is the character to annotate the content of the barcode
      Parameters:
        `n` - range 0-3 or 48-51; represents the printing position of the character in the barcode
      Returns:

    - #### setLeftSpace

          public static byte[] setLeftSpace(int nL,
                                            int nH)

      Set left margin
      Parameters:
        `nL` -
        `nH` -
      Returns:

    - #### setHorizontalAndVerticalMoveUnit

          public static byte[] setHorizontalAndVerticalMoveUnit(int x,
                                                                int y)

      Set horizontal and vertical movement units
      Parameters:
        `x` -
        `y` -
      Returns:

    - #### selectCutPagerModerAndCutPager

          public static byte[] selectCutPagerModerAndCutPager(int m)

      Select the cutting mode and cut the paper
      Parameters:
        `m` - 0,48, full cut; 1,49, half cut
      Returns:

    - #### selectCutPagerModerAndCutPager

          public static byte[] selectCutPagerModerAndCutPager(int m,
                                                              int n)

      Select the cutting mode and cut the paper after feeding
      Parameters:
        `m` - 66
        `n` - number of feed lines
      Returns:

    - #### setPrintAreaWidth

          public static byte[] setPrintAreaWidth(int nL,
                                                 int nH)

      Set print area width
      Parameters:
        `nL` -
        `nH` -
      Returns:

    - #### setVerticalRelativePositionUnderPageModel

          public static byte[] setVerticalRelativePositionUnderPageModel(int nL,
                                                                         int nH)

      Set relative print position in page mode
      Parameters:
        `nL` -
        `nH` -
      Returns:

    - #### executeMacrodeCommand

          public static byte[] executeMacrodeCommand(int r,
                                                     int t,
                                                     int m)

      Execute macro command
      Parameters:
        `r` - 0-255, specify the number of executions
        `t` - 0-255, execution time etc
        `m` - 0 or 1, execution mode
      Returns:

    - #### openOrCloseAutoReturnPrintState

          public static byte[] openOrCloseAutoReturnPrintState(int n)

      Get printer's status
      Parameters:
        `n` -
      Returns:

    - #### getPrinterStatus

          public static byte[] getPrinterStatus(int port)

      Get printer's status
      Parameters:
        `port` - (9100 or 4000)
      Returns:

    - #### avoidLostOrder

          public static byte[] avoidLostOrder()

      Realize the function of avoiding lost orders through the judgment of cutter Only 9100 net port can use this function
      Returns:

    - #### selectHRIFont

          public static byte[] selectHRIFont(int n)

      Choose HRI to use fonts
      Parameters:
        `n` - 0,48 stands for standard; 1,49 stands for compressed font
      Returns:

    - #### setBarcodeWidth

          public static byte[] setBarcodeWidth(int n)

      Set barcode width
      Parameters:
        `n` - 2-6,default is 3
      Returns:

    - #### setBarcodeHeight

          public static byte[] setBarcodeHeight(int n)

      Set Barcode Height
      Parameters:
        `n` - 1-255; default 162
      Returns:

    - #### printBarcode

          public static byte[] printBarcode(int m,
                                            java.lang.String content)

      Print barcode
      Parameters:
        `m` - Barcode type: 0-6
        `content` -
      Returns:

    - #### printBarcode

          public static byte[] printBarcode(int m,
                                            int n,
                                            java.lang.String content)

      Print barcode
      Parameters:
        `m` - Barcode type: 65-73
        `n` - Indicates the number of barcode data, the length of the string cannot exceed the range specified by n
        `content` -
      Returns:

    - #### printBarcode

          public static byte[] printBarcode(int alignment,
                                            int HRI,
                                            int width,
                                            int height,
                                            int type,
                                            int size,
                                            java.lang.String content)

      Print barcode
      Parameters:
        `alignment` - 0-2 or 48-50; respectively means: left-aligned, centered, right-aligned
        `HRI` - HRI text display range 0-3 or 48-51; represents the printing position of the character in the bar code
        `width` - Set width 2-6; default 3
        `height` - Set height 1-255; default 162
        `type` - Barcode type: 65-73
        `size` - Indicates the number of barcode data, the length of the string cannot exceed the range specified by n
        `content` - Barcode content string
      Returns:

    - #### returnState

          public static byte[] returnState(int n)

      Parameters:
        `n` -
      Returns:

    - #### printRasterBmp

          public static byte[] printRasterBmp(int m,
                                              android.graphics.Bitmap bitmap,
                                              BitmapToByteData.BmpType bmpType,
                                              BitmapToByteData.AlignType alignType,
                                              int pagewidth)

      Print raster bitmap
      Parameters:
        `m` - print type 0-2,normal is 0
        `bitmap` - image
        `bmpType` - covert bitmap to gray image by which methods
        `alignType` - align type 0-2,left center right
        `pagewidth` - print width
      Returns:

    - #### setChineseCharacterModel

          public static byte[] setChineseCharacterModel(int n)

      Set Chinese character mode
      Parameters:
        `n` -
      Returns:

    - #### selectChineseCharModel

          public static byte[] selectChineseCharModel()

      Select Chinese character mode
      Returns:

    - #### selectOrCancelChineseCharUnderLineModel

          public static byte[] selectOrCancelChineseCharUnderLineModel(int n)

      Parameters:
        `n` -
      Returns:

    - #### CancelChineseCharModel

          public static byte[] CancelChineseCharModel()

      Returns:

    - #### definedUserDefinedChineseChar

          public static byte[] definedUserDefinedChineseChar(int c2,
                                                             byte[] b)

      Define user-defined Chinese characters
      Parameters:
        `c2` -
        `b` -
      Returns:

    - #### setChineseCharLeftAndRightSpace

          public static byte[] setChineseCharLeftAndRightSpace(int n1,
                                                               int n2)

      Set the left and right spacing of Chinese characters
      Parameters:
        `n1` - left margin 0-255
        `n2` - right margin 0-255
      Returns:

    - #### selectOrCancelChineseCharDoubleWH

          public static byte[] selectOrCancelChineseCharDoubleWH(int n)

      Select or cancel the double height and width of Chinese characters
      Parameters:
        `n` - 0-255; only the lowest bit is valid, 0, cancel; 1, select
      Returns:

    - #### printerOrderBuzzingHint

          public static byte[] printerOrderBuzzingHint(int n,
                                                       int t)

      Buzzer prompt when the printer comes to print the order
      Parameters:
        `n` - Number of beeps. 1-9
        `t` - Each beep time, t*50ms, 1-9
      Returns:

    - #### printerOrderBuzzingAndWarningLight

          public static byte[] printerOrderBuzzingAndWarningLight(int m,
                                                                  int t,
                                                                  int n)

      Printer incoming single buzzer prompt and alarm light flashing
      Parameters:
        `m` - The number of buzzers and the number of flashes of the warning light. Range 1-20
        `t` - Interval time of each tweet or flashing, (t*50ms), range 1-20
        `n` - 0-3; respectively indicate whether to tweet, flashing
      Returns:

    - #### SetsTheNumberOfColumnsOfTheDataAreaForPDF417

          public static byte[] SetsTheNumberOfColumnsOfTheDataAreaForPDF417(int n)

      Sets the number of columns of the data area for PDF417
      Parameters:
        `n` - 0≤ n ≤ 30
      Returns:

    - #### SetsTheNumberOfRowsOfTheDataAreaForPDF417

          public static byte[] SetsTheNumberOfRowsOfTheDataAreaForPDF417(int n)

      Sets the number of rows of the data area for PDF417
      Parameters:
        `n` - 0≤n≤90
      Returns:

    - #### SetsTheModuleWidthOfPDF417

          public static byte[] SetsTheModuleWidthOfPDF417(int n)

      Sets the module width of one PDF417 symbol to n dots.
      Parameters:
        `n` - 2≤n≤8,default 3
      Returns:

    - #### SetsTheModuleHeightForPDF417

          public static byte[] SetsTheModuleHeightForPDF417(int n)

      Sets the module height to [(module width) × n]
      Parameters:
        `n` - 2≤n≤8,default 3
      Returns:

    - #### SetsTheErrorCorrectionLevelForPDF417

          public static byte[] SetsTheErrorCorrectionLevelForPDF417(int m,
                                                                    int n)

      Sets the error correction level for PDF417 symbols. [Default] m = 49, n = 1
      Parameters:
        `m` - 48,49
        `n` - 48≤ n ≤ 56 (when m = 48 is specified),1 ≤ n ≤ 40 (when m = 49 is specified)
      Returns:

    - #### SpecifiesOrCancelsVariousPDF417SymbolOptions

          public static byte[] SpecifiesOrCancelsVariousPDF417SymbolOptions(int m)

      Specifies or cancels various PDF417 symbol options
      Parameters:
        `m` - m = 0 or 1,[Default] m = 0
      Returns:

    - #### StoresSymbolDataInThePDF417SymbolStorageArea

          public static byte[] StoresSymbolDataInThePDF417SymbolStorageArea(int pL,
                                                                            int pH,
                                                                            byte[] b)

      Stores symbol data (d1...dk) in the PDF417 symbol storage area.
      Parameters:
        `pL` -
        `pH` -
        `b` -
      Returns:

    - #### PrintsThePDF417SymbolDataInTheSymbolStorageArea

          public static byte[] PrintsThePDF417SymbolDataInTheSymbolStorageArea()

      Prints the PDF417 symbol data in the symbol storage area.
      Returns:

    - #### TransmitsTheSizeOfTheSymbolDataInTheSymbolStorageAreaPDF417

          public static byte[] TransmitsTheSizeOfTheSymbolDataInTheSymbolStorageAreaPDF417()

      Transmits the size of the symbol data in the symbol storage area.
      Returns:

    - #### SetsTheSizeOfTheQRCodeSymbolModule

          public static byte[] SetsTheSizeOfTheQRCodeSymbolModule(int n)

      Sets the size of the QRCode symbol module to [n dots × n dots]
      Parameters:
        `n` -
      Returns:

    - #### SetsTheErrorCorrectionLevelForQRCodeSymbol

          public static byte[] SetsTheErrorCorrectionLevelForQRCodeSymbol(int n)

      Sets the error correction level for QRCode symbol.
      Parameters:
        `n` -
      Returns:

    - #### StoresSymbolDataInTheQRCodeSymbolStorageArea

          public static byte[] StoresSymbolDataInTheQRCodeSymbolStorageArea(java.lang.String code)

      Stores symbol data (d1…dk) in the QRCode symbol storage area.
      Parameters:
        `code` -
      Returns:

    - #### PrintsTheQRCodeSymbolDataInTheSymbolStorageArea

          public static byte[] PrintsTheQRCodeSymbolDataInTheSymbolStorageArea()

      Prints the QRCode symbol data in the symbol storage area.
      Returns:

    - #### printQRcode

          public static byte[] printQRcode(int n,
                                           int errLevel,
                                           java.lang.String code)

      Parameters:
        `n` - unit size,default is 3
        `errLevel` - 48-51
        `code` - content of qrcode
      Returns:

    - #### TransmitsTheSizeOfTheSymbolDataInTheSymbolStorageAreaQRCode

          public static byte[] TransmitsTheSizeOfTheSymbolDataInTheSymbolStorageAreaQRCode()

      Transmits the size of the symbol data in the symbol storage area
      Returns:

    - #### SpecifiesTheModeForMaxiCodeSymbol

          public static byte[] SpecifiesTheModeForMaxiCodeSymbol(int n)

      Specifies the mode for MaxiCode symbol
      Parameters:
        `n` -
      Returns:

    - #### StoresSymbolDataInItheMaxiCodeSymbolStorageArea

          public static byte[] StoresSymbolDataInItheMaxiCodeSymbolStorageArea(int pL,
                                                                               int pH,
                                                                               byte[] b)

      Stores symbol data (d1…dk) in the MaxiCode symbol storage area.
      Parameters:
        `pL` -
        `pH` -
        `b` -
      Returns:

    - #### PrintsTheMaxiCodeSymbolDataInTheSymbolStorageArea

          public static byte[] PrintsTheMaxiCodeSymbolDataInTheSymbolStorageArea()

      Prints the MaxiCode symbol data in the symbol storage area
      Returns:

    - #### TransmitsTheSizeOfTheEncodedSymbolDataInTheSymbolStorageAreaMaxiCode

          public static byte[] TransmitsTheSizeOfTheEncodedSymbolDataInTheSymbolStorageAreaMaxiCode()

      Transmits the size of the encoded symbol data in the symbol storage area
      Returns: